package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 运费模板实体
 * 表名 tb_cf_express_template
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public class TbCfExpressTemplateEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 模板id
     */
    private String templateId;
    /**
     * 模板标题
     */
    private String templateTitle;
    /**
     * 商品类型
     */
    private String itemCategoryId;
    /**
     * 快递费
     */
    private BigDecimal expressFee;
    /**
     * 国家编号
     */
    private String countryCode;
    /**
     * 创建日期
     */
    private Date createTime;

    /**
     * 设置：模板id
     */
    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    /**
     * 获取：模板id
     */
    public String getTemplateId() {
        return templateId;
    }
    /**
     * 设置：模板标题
     */
    public void setTemplateTitle(String templateTitle) {
        this.templateTitle = templateTitle;
    }

    /**
     * 获取：模板标题
     */
    public String getTemplateTitle() {
        return templateTitle;
    }
    /**
     * 设置：商品类型
     */
    public void setItemCategoryId(String itemCategoryId) {
        this.itemCategoryId = itemCategoryId;
    }

    /**
     * 获取：商品类型
     */
    public String getItemCategoryId() {
        return itemCategoryId;
    }
    /**
     * 设置：快递费
     */
    public void setExpressFee(BigDecimal expressFee) {
        this.expressFee = expressFee;
    }

    /**
     * 获取：快递费
     */
    public BigDecimal getExpressFee() {
        return expressFee;
    }
    /**
     * 设置：国家编号
     */
    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    /**
     * 获取：国家编号
     */
    public String getCountryCode() {
        return countryCode;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj==null)
            return false;
        if(this==obj)
            return true;
        if(obj instanceof TbCfExpressTemplateEntity) {
            TbCfExpressTemplateEntity templateEntity =(TbCfExpressTemplateEntity) obj;
            if(templateEntity.templateId.equals(this.templateId)) {
                return true;
            }
        }
        return false;
    }

    @Override
    public int hashCode() {
        return templateId.hashCode();
    }

}
